<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_80) on Wed Sep 20 14:52:12 UTC 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>SourceDirectorySet (Gradle API 4.2)</title>
<meta name="date" content="2017-09-20">
<link rel="stylesheet" type="text/css" href="../../../../javadoc.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="SourceDirectorySet (Gradle API 4.2)";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/gradle/api/file/ReproducibleFileVisitor.html" title="interface in org.gradle.api.file"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../org/gradle/api/file/UnableToDeleteFileException.html" title="class in org.gradle.api.file"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/gradle/api/file/SourceDirectorySet.html" target="_top">Frames</a></li>
<li><a href="SourceDirectorySet.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.gradle.api.file</div>
<h2 title="Interface SourceDirectorySet" class="title">Interface SourceDirectorySet</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Superinterfaces:</dt>
<dd><a href="../../../../org/gradle/api/tasks/AntBuilderAware.html" title="interface in org.gradle.api.tasks">AntBuilderAware</a>, <a href="../../../../org/gradle/api/Buildable.html" title="interface in org.gradle.api">Buildable</a>, <a href="../../../../org/gradle/api/Describable.html" title="interface in org.gradle.api">Describable</a>, <a href="../../../../org/gradle/api/file/FileCollection.html" title="interface in org.gradle.api.file">FileCollection</a>, <a href="../../../../org/gradle/api/file/FileTree.html" title="interface in org.gradle.api.file">FileTree</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Iterable.html?is-external=true" title="class or interface in java.lang">Iterable</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&gt;, <a href="../../../../org/gradle/api/Named.html" title="interface in org.gradle.api">Named</a>, <a href="../../../../org/gradle/api/tasks/util/PatternFilterable.html" title="interface in org.gradle.api.tasks.util">PatternFilterable</a></dd>
</dl>
<hr>
<br>
<pre>public interface <span class="strong">SourceDirectorySet</span>
extends <a href="../../../../org/gradle/api/file/FileTree.html" title="interface in org.gradle.api.file">FileTree</a>, <a href="../../../../org/gradle/api/tasks/util/PatternFilterable.html" title="interface in org.gradle.api.tasks.util">PatternFilterable</a>, <a href="../../../../org/gradle/api/Named.html" title="interface in org.gradle.api">Named</a>, <a href="../../../../org/gradle/api/Describable.html" title="interface in org.gradle.api">Describable</a></pre>
<div class="block"><p>A <code>SourceDirectorySet</code> represents a set of source files composed from a set of source directories, along
 with associated include and exclude patterns.</p>

 <p><code>SourceDirectorySet</code> extends <a href="../../../../org/gradle/api/file/FileTree.html" title="interface in org.gradle.api.file"><code>FileTree</code></a>. The contents of the file tree represent the source files of this set, arranged in a hierarchy. The file tree is live and reflects changes to the source directories and their contents.</p></div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested_class_summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="nested_classes_inherited_from_class_org.gradle.api.file.FileCollection">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from interface&nbsp;org.gradle.api.file.<a href="../../../../org/gradle/api/file/FileCollection.html" title="interface in org.gradle.api.file">FileCollection</a></h3>
<code><a href="../../../../org/gradle/api/file/FileCollection.AntType.html" title="enum in org.gradle.api.file">FileCollection.AntType</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="nested_classes_inherited_from_class_org.gradle.api.Named">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from interface&nbsp;org.gradle.api.<a href="../../../../org/gradle/api/Named.html" title="interface in org.gradle.api">Named</a></h3>
<code><a href="../../../../org/gradle/api/Named.Namer.html" title="class in org.gradle.api">Named.Namer</a></code></li>
</ul>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../org/gradle/api/tasks/util/PatternFilterable.html" title="interface in org.gradle.api.tasks.util">PatternFilterable</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/file/SourceDirectorySet.html#getFilter()">getFilter</a></strong>()</code>
<div class="block">Returns the filter used to select the source from the source directories.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/file/SourceDirectorySet.html#getName()">getName</a></strong>()</code>
<div class="block">A concise name for the source directory set (typically used to identify it in a collection).</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/file/SourceDirectorySet.html#getOutputDir()">getOutputDir</a></strong>()</code>
<div class="block">Returns the directory to put the output for these sources.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../org/gradle/api/file/FileCollection.html" title="interface in org.gradle.api.file">FileCollection</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/file/SourceDirectorySet.html#getSourceDirectories()">getSourceDirectories</a></strong>()</code>
<div class="block">Returns the source directories that make up this set, represented as a <a href="../../../../org/gradle/api/file/FileCollection.html" title="interface in org.gradle.api.file"><code>FileCollection</code></a>.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true" title="class or interface in java.util">Set</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/file/SourceDirectorySet.html#getSrcDirs()">getSrcDirs</a></strong>()</code>
<div class="block">Returns the source directories that make up this set.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true" title="class or interface in java.util">Set</a>&lt;<a href="../../../../org/gradle/api/file/DirectoryTree.html" title="interface in org.gradle.api.file">DirectoryTree</a>&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/file/SourceDirectorySet.html#getSrcDirTrees()">getSrcDirTrees</a></strong>()</code>
<div class="block">Returns the source directory trees that make up this set.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/file/SourceDirectorySet.html#setOutputDir(java.io.File)">setOutputDir</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;outputDir)</code>
<div class="block">Sets the directory to assemble the compiled classes into.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/file/SourceDirectorySet.html#setOutputDir(org.gradle.api.provider.Provider)">setOutputDir</a></strong>(<a href="../../../../org/gradle/api/provider/Provider.html" title="interface in org.gradle.api.provider">Provider</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&gt;&nbsp;provider)</code>
<div class="block">Sets the provider that gives the directory to assemble the compiled classes into.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../org/gradle/api/file/SourceDirectorySet.html" title="interface in org.gradle.api.file">SourceDirectorySet</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/file/SourceDirectorySet.html#setSrcDirs(java.lang.Iterable)">setSrcDirs</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Iterable.html?is-external=true" title="class or interface in java.lang">Iterable</a>&lt;?&gt;&nbsp;srcPaths)</code>
<div class="block">Sets the source directories for this set.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../org/gradle/api/file/SourceDirectorySet.html" title="interface in org.gradle.api.file">SourceDirectorySet</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/file/SourceDirectorySet.html#source(org.gradle.api.file.SourceDirectorySet)">source</a></strong>(<a href="../../../../org/gradle/api/file/SourceDirectorySet.html" title="interface in org.gradle.api.file">SourceDirectorySet</a>&nbsp;source)</code>
<div class="block">Adds the given source to this set.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../org/gradle/api/file/SourceDirectorySet.html" title="interface in org.gradle.api.file">SourceDirectorySet</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/file/SourceDirectorySet.html#srcDir(java.lang.Object)">srcDir</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;srcPath)</code>
<div class="block">Adds the given source directory to this set.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../org/gradle/api/file/SourceDirectorySet.html" title="interface in org.gradle.api.file">SourceDirectorySet</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/file/SourceDirectorySet.html#srcDirs(java.lang.Object...)">srcDirs</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>...&nbsp;srcPaths)</code>
<div class="block">Adds the given source directories to this set.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_org.gradle.api.file.FileTree">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.gradle.api.file.<a href="../../../../org/gradle/api/file/FileTree.html" title="interface in org.gradle.api.file">FileTree</a></h3>
<code><a href="../../../../org/gradle/api/file/FileTree.html#getAsFileTree()">getAsFileTree</a>, <a href="../../../../org/gradle/api/file/FileTree.html#getFiles()">getFiles</a>, <a href="../../../../org/gradle/api/file/FileTree.html#matching(org.gradle.api.Action)">matching</a>, <a href="../../../../org/gradle/api/file/FileTree.html#matching(groovy.lang.Closure)">matching</a>, <a href="../../../../org/gradle/api/file/FileTree.html#matching(org.gradle.api.tasks.util.PatternFilterable)">matching</a>, <a href="../../../../org/gradle/api/file/FileTree.html#plus(org.gradle.api.file.FileTree)">plus</a>, <a href="../../../../org/gradle/api/file/FileTree.html#visit(org.gradle.api.Action)">visit</a>, <a href="../../../../org/gradle/api/file/FileTree.html#visit(groovy.lang.Closure)">visit</a>, <a href="../../../../org/gradle/api/file/FileTree.html#visit(org.gradle.api.file.FileVisitor)">visit</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_org.gradle.api.file.FileCollection">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.gradle.api.file.<a href="../../../../org/gradle/api/file/FileCollection.html" title="interface in org.gradle.api.file">FileCollection</a></h3>
<code><a href="../../../../org/gradle/api/file/FileCollection.html#add(org.gradle.api.file.FileCollection)">add</a>, <a href="../../../../org/gradle/api/file/FileCollection.html#addToAntBuilder(java.lang.Object,%20java.lang.String)">addToAntBuilder</a>, <a href="../../../../org/gradle/api/file/FileCollection.html#addToAntBuilder(java.lang.Object,%20java.lang.String,%20org.gradle.api.file.FileCollection.AntType)">addToAntBuilder</a>, <a href="../../../../org/gradle/api/file/FileCollection.html#asType(java.lang.Class)">asType</a>, <a href="../../../../org/gradle/api/file/FileCollection.html#contains(java.io.File)">contains</a>, <a href="../../../../org/gradle/api/file/FileCollection.html#filter(groovy.lang.Closure)">filter</a>, <a href="../../../../org/gradle/api/file/FileCollection.html#filter(org.gradle.api.specs.Spec)">filter</a>, <a href="../../../../org/gradle/api/file/FileCollection.html#getAsPath()">getAsPath</a>, <a href="../../../../org/gradle/api/file/FileCollection.html#getSingleFile()">getSingleFile</a>, <a href="../../../../org/gradle/api/file/FileCollection.html#isEmpty()">isEmpty</a>, <a href="../../../../org/gradle/api/file/FileCollection.html#minus(org.gradle.api.file.FileCollection)">minus</a>, <a href="../../../../org/gradle/api/file/FileCollection.html#plus(org.gradle.api.file.FileCollection)">plus</a>, <a href="../../../../org/gradle/api/file/FileCollection.html#stopExecutionIfEmpty()">stopExecutionIfEmpty</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_java.lang.Iterable">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;java.lang.<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Iterable.html?is-external=true" title="class or interface in java.lang">Iterable</a></h3>
<code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Iterable.html?is-external=true#iterator()" title="class or interface in java.lang">iterator</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_org.gradle.api.Buildable">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.gradle.api.<a href="../../../../org/gradle/api/Buildable.html" title="interface in org.gradle.api">Buildable</a></h3>
<code><a href="../../../../org/gradle/api/Buildable.html#getBuildDependencies()">getBuildDependencies</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_org.gradle.api.tasks.util.PatternFilterable">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.gradle.api.tasks.util.<a href="../../../../org/gradle/api/tasks/util/PatternFilterable.html" title="interface in org.gradle.api.tasks.util">PatternFilterable</a></h3>
<code><a href="../../../../org/gradle/api/tasks/util/PatternFilterable.html#exclude(groovy.lang.Closure)">exclude</a>, <a href="../../../../org/gradle/api/tasks/util/PatternFilterable.html#exclude(java.lang.Iterable)">exclude</a>, <a href="../../../../org/gradle/api/tasks/util/PatternFilterable.html#exclude(org.gradle.api.specs.Spec)">exclude</a>, <a href="../../../../org/gradle/api/tasks/util/PatternFilterable.html#exclude(java.lang.String...)">exclude</a>, <a href="../../../../org/gradle/api/tasks/util/PatternFilterable.html#getExcludes()">getExcludes</a>, <a href="../../../../org/gradle/api/tasks/util/PatternFilterable.html#getIncludes()">getIncludes</a>, <a href="../../../../org/gradle/api/tasks/util/PatternFilterable.html#include(groovy.lang.Closure)">include</a>, <a href="../../../../org/gradle/api/tasks/util/PatternFilterable.html#include(java.lang.Iterable)">include</a>, <a href="../../../../org/gradle/api/tasks/util/PatternFilterable.html#include(org.gradle.api.specs.Spec)">include</a>, <a href="../../../../org/gradle/api/tasks/util/PatternFilterable.html#include(java.lang.String...)">include</a>, <a href="../../../../org/gradle/api/tasks/util/PatternFilterable.html#setExcludes(java.lang.Iterable)">setExcludes</a>, <a href="../../../../org/gradle/api/tasks/util/PatternFilterable.html#setIncludes(java.lang.Iterable)">setIncludes</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_org.gradle.api.Describable">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.gradle.api.<a href="../../../../org/gradle/api/Describable.html" title="interface in org.gradle.api">Describable</a></h3>
<code><a href="../../../../org/gradle/api/Describable.html#getDisplayName()">getDisplayName</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getName()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getName</h4>
<pre><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getName()</pre>
<div class="block">A concise name for the source directory set (typically used to identify it in a collection).</div>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code><a href="../../../../org/gradle/api/Named.html#getName()">getName</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../org/gradle/api/Named.html" title="interface in org.gradle.api">Named</a></code></dd>
<dt><span class="strong">Returns:</span></dt><dd>The name. Never null.</dd></dl>
</li>
</ul>
<a name="srcDir(java.lang.Object)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>srcDir</h4>
<pre><a href="../../../../org/gradle/api/file/SourceDirectorySet.html" title="interface in org.gradle.api.file">SourceDirectorySet</a>&nbsp;srcDir(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;srcPath)</pre>
<div class="block">Adds the given source directory to this set. The given directory does not need to exist. Directories that do not exist are ignored.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>srcPath</code> - The source directory. This is evaluated as per <a href="../../../../org/gradle/api/Project.html#files(java.lang.Object...)"><code>Project.files(Object...)</code></a></dd>
<dt><span class="strong">Returns:</span></dt><dd>this</dd></dl>
</li>
</ul>
<a name="srcDirs(java.lang.Object...)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>srcDirs</h4>
<pre><a href="../../../../org/gradle/api/file/SourceDirectorySet.html" title="interface in org.gradle.api.file">SourceDirectorySet</a>&nbsp;srcDirs(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>...&nbsp;srcPaths)</pre>
<div class="block">Adds the given source directories to this set. The given directories to not need to exist. Directories that do no exist are ignored.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>srcPaths</code> - The source directories. These are evaluated as per <a href="../../../../org/gradle/api/Project.html#files(java.lang.Object...)"><code>Project.files(Object...)</code></a></dd>
<dt><span class="strong">Returns:</span></dt><dd>this</dd></dl>
</li>
</ul>
<a name="getSrcDirs()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSrcDirs</h4>
<pre><a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true" title="class or interface in java.util">Set</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&gt;&nbsp;getSrcDirs()</pre>
<div class="block">Returns the source directories that make up this set. Does not filter source directories that do not exist.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>The source directories. Returns an empty set when this set contains no source directories.</dd></dl>
</li>
</ul>
<a name="setSrcDirs(java.lang.Iterable)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setSrcDirs</h4>
<pre><a href="../../../../org/gradle/api/file/SourceDirectorySet.html" title="interface in org.gradle.api.file">SourceDirectorySet</a>&nbsp;setSrcDirs(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Iterable.html?is-external=true" title="class or interface in java.lang">Iterable</a>&lt;?&gt;&nbsp;srcPaths)</pre>
<div class="block">Sets the source directories for this set.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>srcPaths</code> - The source directories. These are evaluated as per <a href="../../../../org/gradle/api/Project.html#files(java.lang.Object...)"><code>Project.files(Object...)</code></a></dd>
<dt><span class="strong">Returns:</span></dt><dd>this</dd></dl>
</li>
</ul>
<a name="source(org.gradle.api.file.SourceDirectorySet)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>source</h4>
<pre><a href="../../../../org/gradle/api/file/SourceDirectorySet.html" title="interface in org.gradle.api.file">SourceDirectorySet</a>&nbsp;source(<a href="../../../../org/gradle/api/file/SourceDirectorySet.html" title="interface in org.gradle.api.file">SourceDirectorySet</a>&nbsp;source)</pre>
<div class="block">Adds the given source to this set.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>source</code> - The source to add.</dd>
<dt><span class="strong">Returns:</span></dt><dd>this</dd></dl>
</li>
</ul>
<a name="getSourceDirectories()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSourceDirectories</h4>
<pre><a href="../../../../org/gradle/api/file/FileCollection.html" title="interface in org.gradle.api.file">FileCollection</a>&nbsp;getSourceDirectories()</pre>
<div class="block">Returns the source directories that make up this set, represented as a <a href="../../../../org/gradle/api/file/FileCollection.html" title="interface in org.gradle.api.file"><code>FileCollection</code></a>. Does not filter source directories that do not exist.
 Generally, it is preferable to use this method instead of <a href="../../../../org/gradle/api/file/SourceDirectorySet.html#getSrcDirs()"><code>getSrcDirs()</code></a>, as this method does not require the source directories to be calculated when it is called. Instead, the source directories are calculated when queried. The return value of this method also maintains dependency information.

 <p>The returned collection is live and reflects changes to this source directory set.</div>
</li>
</ul>
<a name="getSrcDirTrees()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSrcDirTrees</h4>
<pre><a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true" title="class or interface in java.util">Set</a>&lt;<a href="../../../../org/gradle/api/file/DirectoryTree.html" title="interface in org.gradle.api.file">DirectoryTree</a>&gt;&nbsp;getSrcDirTrees()</pre>
<div class="block">Returns the source directory trees that make up this set. Does not filter source directories that do not exist.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>The source directory trees. Returns an empty set when this set contains no source directories.</dd></dl>
</li>
</ul>
<a name="getFilter()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getFilter</h4>
<pre><a href="../../../../org/gradle/api/tasks/util/PatternFilterable.html" title="interface in org.gradle.api.tasks.util">PatternFilterable</a>&nbsp;getFilter()</pre>
<div class="block">Returns the filter used to select the source from the source directories. These filter patterns are applied after
 the include and exclude patterns of this source directory set. Generally, the filter patterns are used to
 restrict the contents to certain types of files, eg <code>*.java</code>.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>The filter patterns.</dd></dl>
</li>
</ul>
<a name="getOutputDir()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getOutputDir</h4>
<pre><a href="../../../../org/gradle/api/Incubating.html" title="annotation in org.gradle.api">@Incubating</a>
<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;getOutputDir()</pre>
<div class="block">Returns the directory to put the output for these sources.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>The output directory for this set of sources.</dd><dt><span class="strong">Since:</span></dt>
  <dd>4.0</dd></dl>
</li>
</ul>
<a name="setOutputDir(org.gradle.api.provider.Provider)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setOutputDir</h4>
<pre><a href="../../../../org/gradle/api/Incubating.html" title="annotation in org.gradle.api">@Incubating</a>
void&nbsp;setOutputDir(<a href="../../../../org/gradle/api/provider/Provider.html" title="interface in org.gradle.api.provider">Provider</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&gt;&nbsp;provider)</pre>
<div class="block">Sets the provider that gives the directory to assemble the compiled classes into.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>provider</code> - provides output directory for this source directory set</dd><dt><span class="strong">Since:</span></dt>
  <dd>4.0</dd></dl>
</li>
</ul>
<a name="setOutputDir(java.io.File)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>setOutputDir</h4>
<pre><a href="../../../../org/gradle/api/Incubating.html" title="annotation in org.gradle.api">@Incubating</a>
void&nbsp;setOutputDir(<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;outputDir)</pre>
<div class="block">Sets the directory to assemble the compiled classes into.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>outputDir</code> - output directory for this source directory set</dd><dt><span class="strong">Since:</span></dt>
  <dd>4.0</dd></dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/gradle/api/file/ReproducibleFileVisitor.html" title="interface in org.gradle.api.file"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../org/gradle/api/file/UnableToDeleteFileException.html" title="class in org.gradle.api.file"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/gradle/api/file/SourceDirectorySet.html" target="_top">Frames</a></li>
<li><a href="SourceDirectorySet.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
